import 'reflect-metadata';

export interface IRelationOptions {
  name?: string;
}

export const Relation = (options: IRelationOptions = {}): PropertyDecorator => {
  return (target: Object, property: string | symbol) => {
    const metadata = Reflect.getMetadata('SERIALIZER_RELATION', target.constructor) || {};
    metadata[property] = options;
    Reflect.defineMetadata('SERIALIZER_RELATION', metadata, target.constructor);
  };
};